# module Kernel

### Public Instance Methods

BigDecimal(*args) click to toggle source

See also BigDecimal.new

    static VALUE
    BigDecimal_global_new(int argc, VALUE *argv, VALUE self)
    {
        ENTER(1);
        Real *pv;
        VALUE obj;

        obj = TypedData_Wrap_Struct(rb_cBigDecimal, &BigDecimal_data_type, 0);
        GUARD_OBJ(pv, BigDecimal_new(argc, argv));
        if (ToValue(pv)) pv = VpCopy(NULL, pv);
        RTYPEDDATA_DATA(obj) = pv;
        return pv->obj = obj;
    }